<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

defined('ABSPATH') or die;
?>

<!DOCTYPE html>
<html <?php language_attributes();
; ?>>
<!--[if IE]><![endif]-->
<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if (! function_exists('has_side_icon') || ! has_site_icon()) : ?>
		<?php $favicon	= amy_get_image_option('favicon'); ?>

		<?php if ($favicon) : ?>
			<link rel="icon" type="image/png" href="<?php echo esc_url($favicon); ?>" />
		<?php endif; ?>
	<?php endif; ?>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="page" class="hfeed site">
		<?php amy_movie_top_bar(); ?>
		<?php get_template_part('partials/header', amy_get_option('header_style', 'default')); ?>
	
		<?php echo amy_movie_mobile_menu(); ?>

		<div id="main">
			<div id="content" class="site-content">

