<?php
/**
 * @copyright	Copyright (c) 2016 AmyTheme (http://www.amytheme.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('ABSPATH') or die;

get_header();

get_template_part('partials/page-header');

$custom_fields	= amy_get_option('movie_custom_fields');

$queried_object = get_queried_object();
$term_id        = $queried_object->term_id;
$term           = get_term($term_id);

$option_name	= '_custom_options';

if ($term->taxonomy == 'amy_genre') {
	$option_name = '_genre_options';
}

$term_data 		= get_term_meta($term_id, $option_name, true);

$single_sidebar 		= isset($term_data['sidebar']) ? $term_data['sidebar'] : '';
$single_layout			= isset($term_data['layout']) ? $term_data['layout'] : '';
$single_grid_layout		= isset($term_data['grid_layout']) ? $term_data['grid_layout'] : '';
$single_column			= isset($term_data['column']) ? $term_data['column'] : '';
$single_layout2_column	= isset($term_data['layout2_column']) ? $term_data['layout2_column'] : '';

$layout			= ($single_sidebar != 'global' && $single_sidebar != '') ? $single_sidebar : esc_attr(amy_get_option('genre_layout', 'list'));
$sidebar		= ($single_layout != 'global' && $single_layout != '') ? $single_layout : esc_attr(amy_get_option('genre_sidebar', 'right'));
$genre_column	= esc_attr($sidebar == 'full' ? '12' : '8');

$genre_layout	= ($single_layout != 'global' && $single_layout != '') ? $single_layout : amy_get_option('genre_layout');
$grid_layout	= ($single_layout != 'global' && $single_layout != '') ? $single_grid_layout : amy_get_option('grid_layout');
$column			= ($single_layout != 'global' && $single_layout != '') ? $single_column : amy_get_option('column');
$layout2_column	= ($single_layout != 'global' && $single_layout != '') ? $single_layout2_column : amy_get_option('layout2_column');

$movie_number	= amy_get_option('movie_number');
$pagination		= amy_get_option('pagination');

?>

<section class="amy-main-content amy-genre amy-<?php echo $layout; ?>">
	<div class="container">
		<div class="row">
			<?php amy_movie_page_sidebar('left', $sidebar); ?>

			<div class="col-md-<?php echo $genre_column; ?>">
			<?php
			if ($genre_layout == 'list') {
				echo do_shortcode('[movielist ' . $term->taxonomy .'="' . $term_id . '" 
									posts_per_page="' . $movie_number . '" 
									post_type="all"
									movie_type="all"
									pagination="' . $pagination . '"]');
			} else if ($genre_layout == 'grid') {
				echo do_shortcode('[moviegrid "' . $term->taxonomy .'"="' . $term_id . '" 
									post_per_page="' . $movie_number . '" 
									pagination="' . $pagination . '" 
									movie_type="all"
									post_type="all"
									layout="' . $grid_layout . '"
									column="' . $column . '"
									layout2_column="' . $layout2_column . '"]');
			}
			?>
			</div>

			<?php amy_movie_page_sidebar('right', $sidebar); ?>

		</div>
	</div>
</section>

<?php

get_footer();